org.apache.lucene.analysis.util

## Class StopwordAnalyzerBase

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.StopwordAnalyzerBase
    - - org.apache.lucene.analysis.util.StopwordAnalyzerBase

- All Implemented Interfaces:
    Closeable, AutoCloseable

  Deprecated.
  This class moved to Lucene-Core module: `StopwordAnalyzerBase`

      @Deprecated
      public abstract class StopwordAnalyzerBase
      extends StopwordAnalyzerBase

  Base class for Analyzers that need to make use of stopword sets.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

      `stopwords`

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StopwordAnalyzerBase()` Deprecated. Creates a new Analyzer with an empty stopword set
    `protected` | `StopwordAnalyzerBase(CharArraySet stopwords)` Deprecated. Creates a new instance initialized with the given stopword set

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CharArraySet` | `getStopwordSet()` Deprecated.

    - ### Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

      `loadStopwordSet, loadStopwordSet, loadStopwordSet`

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `attributeFactory, close, createComponents, getOffsetGap, getPositionIncrementGap, getReuseStrategy, getVersion, initReader, initReaderForNormalization, normalize, normalize, setVersion, tokenStream, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StopwordAnalyzerBase

          protected StopwordAnalyzerBase(CharArraySet stopwords)

      Deprecated.
      Creates a new instance initialized with the given stopword set
      Parameters:
        `stopwords` - the analyzer's stopword set

    - #### StopwordAnalyzerBase

          protected StopwordAnalyzerBase()

      Deprecated.
      Creates a new Analyzer with an empty stopword set

  - ### Method Detail

    - #### getStopwordSet

          public CharArraySet getStopwordSet()

      Deprecated.
      Overrides:
        `getStopwordSet` in class `StopwordAnalyzerBase`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.